#include "common.h"
#include <gsl/gsl_histogram2d.h>

/* Structure containing the histogram
 * for the χ² minimisation.
 * n: number of events
 * h: 2D histogram
 */
struct hist {
  size_t n;
  gsl_histogram2d *h;
};

/* Minimum χ² estimation of of the parameters
 * α,β,γ.
 */
min_result minChiSquared(struct hist data);
